log for org.tether.tether:2008

Traceback (most recent call last):
  File "/home/fbuild/fdroidserver/fdroidserver/build.py", line 1127, in main
    options.onserver, options.refresh):
  File "/home/fbuild/fdroidserver/fdroidserver/build.py", line 885, in trybuild
    build_server(app, build, vcs, build_dir, output_dir, log_dir, force)
  File "/home/fbuild/fdroidserver/fdroidserver/build.py", line 268, in build_server
    str(output, 'utf-8'))
fdroidserver.exception.BuildException: Build.py failed on server for org.tether.tether:0.2.7
==== detail begin ====
== Installed Android Tools ==

2022-01-12 21:33:31,829 DEBUG: Reading 'config.yml'
2022-01-12 21:33:31,838 INFO: Using /opt/android-sdk/build-tools/29.0.3/apksigner 
2022-01-12 21:33:31,841 INFO: Creating log directory
2022-01-12 21:33:31,842 INFO: Creating temporary directory
2022-01-12 21:33:31,842 INFO: Creating output directory
2022-01-12 21:33:31,848 DEBUG: Getting git vcs interface for https://github.com/syphon-org/syphon
2022-01-12 21:33:31,849 DEBUG: > git --version
git version 2.11.0
2022-01-12 21:33:32,074 INFO: Using git version 2.11.0
2022-01-12 21:33:32,074 DEBUG: Checking 0.2.7
2022-01-12 21:33:32,075 INFO: Building version 0.2.7 (2008) of org.tether.tether
2022-01-12 21:33:32,075 WARNING: Android NDK version 'r21d' could not be found!
2022-01-12 21:33:32,075 WARNING: Configured versions:
2022-01-12 21:33:32,075 WARNING:   r22b: /opt/android-sdk/ndk/22.1.7171670
2022-01-12 21:33:32,076 WARNING:   r21e: /opt/android-sdk/ndk/21.4.7075529
2022-01-12 21:33:32,076 INFO: Downloading https://dl.google.com/android/repository/android-ndk-r21d-linux-x86_64.zip
2022-01-12 21:33:32,102 DEBUG: Starting new HTTPS connection (1): dl.google.com
2022-01-12 21:33:32,157 DEBUG: https://dl.google.com:443 "GET /android/repository/android-ndk-r21d-linux-x86_64.zip HTTP/1.1" 200 1190667841
2022-01-12 21:34:06,043 INFO: Unzipping to /opt/android-sdk/ndk
2022-01-12 21:34:32,970 INFO: Set NDK r21d (21.3.6528147) up
2022-01-12 21:34:32,974 DEBUG: > sudo passwd --lock root
passwd: password expiry information changed.
2022-01-12 21:34:33,539 DEBUG: > sudo SUDO_FORCE_REMOVE=yes dpkg --purge sudo
(Reading database ... 64893 files and directories currently installed.)
Removing sudo (1.8.19p1-2.1+deb9u3) ...
Purging configuration files for sudo (1.8.19p1-2.1+deb9u3) ...
Processing triggers for systemd (232-25+deb9u13) ...
2022-01-12 21:34:41,587 INFO: Getting source for revision a464b88c3fc6fe3e3f6105e5640ed087daaa873b
2022-01-12 21:34:41,588 DEBUG: Directory: build/org.tether.tether
2022-01-12 21:34:41,588 DEBUG: > git rev-parse --show-toplevel
2022-01-12 21:34:42,195 DEBUG: Directory: build/org.tether.tether
2022-01-12 21:34:42,195 DEBUG: > git submodule foreach --recursive git reset --hard
2022-01-12 21:34:44,368 DEBUG: Directory: build/org.tether.tether
2022-01-12 21:34:44,368 DEBUG: > git reset --hard
2022-01-12 21:34:49,502 DEBUG: Directory: build/org.tether.tether
2022-01-12 21:34:49,503 DEBUG: > git submodule foreach --recursive git clean -dffx
2022-01-12 21:34:49,707 DEBUG: Directory: build/org.tether.tether
2022-01-12 21:34:49,707 DEBUG: > git clean -dffx
2022-01-12 21:34:49,812 DEBUG: Directory: build/org.tether.tether
2022-01-12 21:34:49,812 DEBUG: > git -c core.askpass=/bin/true -c core.sshCommand=/bin/false -c url.https://.insteadOf=ssh:// -c url.https://u:p@bitbucket.org/.insteadOf=git@bitbucket.org: -c url.https://u:p@bitbucket.org.insteadOf=git://bitbucket.org -c url.https://u:p@bitbucket.org.insteadOf=https://bitbucket.org -c url.https://u:p@github.com/.insteadOf=git@github.com: -c url.https://u:p@github.com.insteadOf=git://github.com -c url.https://u:p@github.com.insteadOf=https://github.com -c url.https://u:p@gitlab.com/.insteadOf=git@gitlab.com: -c url.https://u:p@gitlab.com.insteadOf=git://gitlab.com -c url.https://u:p@gitlab.com.insteadOf=https://gitlab.com fetch origin
2022-01-12 21:35:00,370 DEBUG: Directory: build/org.tether.tether
2022-01-12 21:35:00,370 DEBUG: > git -c core.askpass=/bin/true -c core.sshCommand=/bin/false -c url.https://.insteadOf=ssh:// -c url.https://u:p@bitbucket.org/.insteadOf=git@bitbucket.org: -c url.https://u:p@bitbucket.org.insteadOf=git://bitbucket.org -c url.https://u:p@bitbucket.org.insteadOf=https://bitbucket.org -c url.https://u:p@github.com/.insteadOf=git@github.com: -c url.https://u:p@github.com.insteadOf=git://github.com -c url.https://u:p@github.com.insteadOf=https://github.com -c url.https://u:p@gitlab.com/.insteadOf=git@gitlab.com: -c url.https://u:p@gitlab.com.insteadOf=git://gitlab.com -c url.https://u:p@gitlab.com.insteadOf=https://gitlab.com remote prune origin
2022-01-12 21:35:00,777 DEBUG: Directory: build/org.tether.tether
2022-01-12 21:35:00,778 DEBUG: > git -c core.askpass=/bin/true -c core.sshCommand=/bin/false -c url.https://.insteadOf=ssh:// -c url.https://u:p@bitbucket.org/.insteadOf=git@bitbucket.org: -c url.https://u:p@bitbucket.org.insteadOf=git://bitbucket.org -c url.https://u:p@bitbucket.org.insteadOf=https://bitbucket.org -c url.https://u:p@github.com/.insteadOf=git@github.com: -c url.https://u:p@github.com.insteadOf=git://github.com -c url.https://u:p@github.com.insteadOf=https://github.com -c url.https://u:p@gitlab.com/.insteadOf=git@gitlab.com: -c url.https://u:p@gitlab.com.insteadOf=git://gitlab.com -c url.https://u:p@gitlab.com.insteadOf=https://gitlab.com fetch --prune --tags --force origin
2022-01-12 21:35:01,295 DEBUG: Directory: build/org.tether.tether
2022-01-12 21:35:01,295 DEBUG: > git remote set-head origin --auto
2022-01-12 21:35:01,934 DEBUG: Directory: build/org.tether.tether
2022-01-12 21:35:01,934 DEBUG: > git checkout -f a464b88c3fc6fe3e3f6105e5640ed087daaa873b
2022-01-12 21:35:02,274 DEBUG: Directory: build/org.tether.tether
2022-01-12 21:35:02,275 DEBUG: > git clean -dffx
2022-01-12 21:35:02,381 INFO: Initialising submodules
2022-01-12 21:35:02,381 DEBUG: Directory: build/org.tether.tether
2022-01-12 21:35:02,382 DEBUG: > git rev-parse --show-toplevel
2022-01-12 21:35:02,590 DEBUG: Directory: build/org.tether.tether
2022-01-12 21:35:02,590 DEBUG: > git submodule sync
2022-01-12 21:35:02,796 DEBUG: Directory: build/org.tether.tether
2022-01-12 21:35:02,797 DEBUG: > git -c core.askpass=/bin/true -c core.sshCommand=/bin/false -c url.https://.insteadOf=ssh:// -c url.https://u:p@bitbucket.org/.insteadOf=git@bitbucket.org: -c url.https://u:p@bitbucket.org.insteadOf=git://bitbucket.org -c url.https://u:p@bitbucket.org.insteadOf=https://bitbucket.org -c url.https://u:p@github.com/.insteadOf=git@github.com: -c url.https://u:p@github.com.insteadOf=git://github.com -c url.https://u:p@github.com.insteadOf=https://github.com -c url.https://u:p@gitlab.com/.insteadOf=git@gitlab.com: -c url.https://u:p@gitlab.com.insteadOf=git://gitlab.com -c url.https://u:p@gitlab.com.insteadOf=https://gitlab.com submodule update --init --force --recursive
Submodule path 'ios/olm': checked out '541a2bf6fdb28db638ec0d9b19995a5a8076be50'
Submodule path 'windows/olm': checked out '03c5523aac7a1994381ad5d7e3e3d5afad22cb71'
2022-01-12 21:35:03,115 INFO: Collecting source libraries
2022-01-12 21:35:03,198 DEBUG: Removing debuggable flags from build/srclib/flutter
2022-01-12 21:35:03,249 INFO: Creating local.properties file at build/org.tether.tether/local.properties
2022-01-12 21:35:03,250 DEBUG: Removing debuggable flags from build/org.tether.tether
2022-01-12 21:35:03,268 INFO: Cleaned build.gradle of keysigning configs at build/org.tether.tether/android/app/build.gradle
2022-01-12 21:35:03,280 INFO: Running 'prebuild' commands in build/org.tether.tether
2022-01-12 21:35:03,281 DEBUG: Directory: build/org.tether.tether
2022-01-12 21:35:03,281 DEBUG: > bash -x -c -- echo 'android.applicationVariants.all { variant -> variant.outputs.all { output -> outputFileName = "app-${output.baseName}.apk" } }' >> android/app/build.gradle && $ANDROID_HOME/tools/bin/sdkmanager 'cmake;3.10.2.4988404'
+ echo 'android.applicationVariants.all { variant -> variant.outputs.all { output -> outputFileName = "app-${output.baseName}.apk" } }'
+ /opt/android-sdk/tools/bin/sdkmanager 'cmake;3.10.2.4988404'
Warning: File /home/vagrant/.android/repositories.cfg could not be loaded.
done
2022-01-12 21:35:29,118 INFO: Scanning source for common problems...
2022-01-12 21:35:29,130 INFO: Removing gradle-wrapper.jar at ios/olm/android/gradle/wrapper/gradle-wrapper.jar
2022-01-12 21:35:29,143 INFO: Removing gradle-wrapper.jar at android/gradle/wrapper/gradle-wrapper.jar
2022-01-12 21:35:29,160 WARNING: Found executable binary, possibly code at assets/fonts/Rubik-Light.ttf
2022-01-12 21:35:29,161 WARNING: Found executable binary, possibly code at assets/fonts/Rubik-Italic.ttf
2022-01-12 21:35:29,161 WARNING: Found executable binary, possibly code at assets/fonts/Rubik-Medium.ttf
2022-01-12 21:35:29,162 WARNING: Found executable binary, possibly code at assets/fonts/Rubik-BlackItalic.ttf
2022-01-12 21:35:29,162 WARNING: Found executable binary, possibly code at assets/fonts/Rubik-Black.ttf
2022-01-12 21:35:29,163 WARNING: Found executable binary, possibly code at assets/fonts/Rubik-MediumItalic.ttf
2022-01-12 21:35:29,163 WARNING: Found executable binary, possibly code at assets/fonts/Rubik-Bold.ttf
2022-01-12 21:35:29,164 WARNING: Found executable binary, possibly code at assets/fonts/Rubik-LightItalic.ttf
2022-01-12 21:35:29,165 WARNING: Found executable binary, possibly code at assets/fonts/Rubik-BoldItalic.ttf
2022-01-12 21:35:29,165 WARNING: Found executable binary, possibly code at assets/fonts/Rubik-Regular.ttf
2022-01-12 21:35:29,175 INFO: Removing gradle-wrapper.jar at windows/olm/android/gradle/wrapper/gradle-wrapper.jar
2022-01-12 21:35:29,202 INFO: Creating source tarball...
2022-01-12 21:35:31,367 INFO: Running 'build' commands in build/org.tether.tether
2022-01-12 21:35:31,368 DEBUG: Directory: build/org.tether.tether
2022-01-12 21:35:31,368 DEBUG: > bash -x -c /home/vagrant/build/srclib/flutter/bin/flutter config --no-analytics && /home/vagrant/build/srclib/flutter/bin/flutter packages pub get && /home/vagrant/build/srclib/flutter/bin/flutter pub run build_runner build && /home/vagrant/build/srclib/flutter/bin/flutter build apk
+ /home/vagrant/build/srclib/flutter/bin/flutter config --no-analytics
Downloading Dart SDK from Flutter engine d3ea636dc5d16b56819f3266241e1f708979c233...
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed

  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
  0  221M    0 15139    0     0  29621      0  2:10:38 --:--:--  2:10:38 29626
 29  221M   29 65.2M    0     0  48.1M      0  0:00:04  0:00:01  0:00:03 48.1M
 79  221M   79  176M    0     0  74.6M      0  0:00:02  0:00:02 --:--:-- 74.6M
100  221M  100  221M    0     0  79.9M      0  0:00:02  0:00:02 --:--:-- 79.9M
Building flutter tool...

  ╔════════════════════════════════════════════════════════════════════════════╗
  ║                 Welcome to Flutter! - https://flutter.dev                  ║
  ║                                                                            ║
  ║ The Flutter tool uses Google Analytics to anonymously report feature usage ║
  ║ statistics and basic crash reports. This data is used to help improve      ║
  ║ Flutter tools over time.                                                   ║
  ║                                                                            ║
  ║ Flutter tool analytics are not sent on the very first run. To disable      ║
  ║ reporting, type 'flutter config --no-analytics'. To display the current    ║
  ║ setting, type 'flutter config'. If you opt out of analytics, an opt-out    ║
  ║ event will be sent, and then no further information will be sent by the    ║
  ║ Flutter tool.                                                              ║
  ║                                                                            ║
  ║ By downloading the Flutter SDK, you agree to the Google Terms of Service.  ║
  ║ Note: The Google Privacy Policy describes how data is handled in this      ║
  ║ service.                                                                   ║
  ║                                                                            ║
  ║ Moreover, Flutter includes the Dart SDK, which may send usage metrics and  ║
  ║ crash reports to Google.                                                   ║
  ║                                                                            ║
  ║ Read about data we send with crash reports:                                ║
  ║ https://flutter.dev/docs/reference/crash-reporting                         ║
  ║                                                                            ║
  ║ See Google's privacy policy:                                               ║
  ║ https://policies.google.com/privacy                                        ║
  ╚════════════════════════════════════════════════════════════════════════════╝

Analytics reporting disabled.

You may need to restart any open editors for them to read new settings.
+ /home/vagrant/build/srclib/flutter/bin/flutter packages pub get
Downloading Material fonts...                                      411ms
Downloading Gradle Wrapper...                                       18ms
Downloading package sky_engine...                                  258ms
Downloading flutter_patched_sdk tools...                           400ms
Downloading flutter_patched_sdk_product tools...                   331ms
Downloading linux-x64 tools...                                   1,376ms
Downloading linux-x64/font-subset tools...                         168ms
Resolving dependencies...
  _fe_analyzer_shared 27.0.0 (33.0.0 available)
  analyzer 2.4.0 (3.1.0 available)
  analyzer_plugin 0.8.0 (0.9.0 available)
  archive 3.1.2 (3.1.8 available)
  args 2.0.0 (2.3.0 available)
  asn1lib 1.0.0 (1.0.3 available)
  build 2.1.1 (2.2.1 available)
  build_daemon 3.0.0 (3.0.1 available)
  build_resolvers 2.0.4 (2.0.6 available)
  build_runner 2.1.4 (2.1.7 available)
  build_runner_core 7.2.2 (7.2.3 available)
  built_collection 5.0.0 (5.1.1 available)
  built_value 8.0.4 (8.1.3 available)
< characters 1.1.0 (was 1.2.0) (1.2.0 available)
  charcode 1.2.0 (1.3.1 available)
  cli_util 0.3.0 (0.3.5 available)
  code_builder 4.0.0 (4.1.0 available)
  connectivity_plus 2.0.2 (2.2.0 available)
  connectivity_plus_linux 1.1.0 (1.2.0 available)
  connectivity_plus_platform_interface 1.1.0 (1.2.0 available)
  connectivity_plus_web 1.1.0+1 (1.2.0 available)
  convert 3.0.0 (3.0.1 available)
  coverage 1.0.2 (1.0.4 available)
  csslib 0.17.0 (0.17.1 available)
  cupertino_icons 1.0.2 (1.0.4 available)
  dart_style 2.2.0 (2.2.1 available)
  dbus 0.5.6 (0.6.6 available)
  device_info 2.0.0 (2.0.3 available)
  drift 1.0.1 (1.2.0 available)
  drift_dev 1.0.2 (1.2.1 available)
  emoji_picker_flutter 1.0.3 (1.0.8 available)
  encrypt 5.0.0 (5.0.1 available)
  equatable 2.0.0 (2.0.3 available)
  file 6.1.0 (6.1.2 available)
  file_picker 4.1.1 (4.3.1 available)
  flutter_colorpicker 0.6.0 (1.0.3 available)
  flutter_dotenv 4.0.0-nullsafety.0 (5.0.2 available)
  flutter_keyboard_visibility 5.0.3 (5.1.0 available)
  flutter_launcher_icons 0.9.0 (0.9.2 available)
  flutter_local_notifications 9.1.4 (9.2.0 available)
  flutter_local_notifications_linux 0.3.0 (0.4.1+1 available)
  flutter_markdown 0.6.7 (0.6.9 available)
  flutter_plugin_android_lifecycle 2.0.3 (2.0.5 available)
  flutter_screen_lock 4.0.4+3 (5.0.3 available)
  flutter_secure_storage 4.1.0 (5.0.2 available)
  flutter_speed_dial 4.2.0 (5.0.0+1 available)
  flutter_svg 0.22.0 (1.0.1 available)
  frontend_server_client 2.1.0 (2.1.2 available)
  glob 2.0.1 (2.0.2 available)
  graphs 2.0.0 (2.1.0 available)
  http 0.13.1 (0.13.4 available)
  image 3.0.2 (3.1.0 available)
  image_picker_for_web 2.1.4 (2.1.5 available)
  image_picker_platform_interface 2.4.1 (2.4.3 available)
  js 0.6.3 (0.6.4 available)
  lint 1.5.3 (1.8.1 available)
  logging 1.0.1 (1.0.2 available)
  markdown 4.0.0 (4.0.1 available)
  matcher 0.12.10 (0.12.11 available)
  mime 1.0.0 (1.0.1 available)
  nm 0.3.0 (0.4.2 available)
  node_preamble 2.0.0 (2.0.1 available)
  package_config 2.0.0 (2.0.2 available)
  package_info 2.0.0 (2.0.2 available)
  palette_generator 0.3.0 (0.3.2 available)
  path 1.8.0 (1.8.1 available)
  path_drawing 0.5.0 (1.0.0 available)
  path_parsing 0.2.0 (1.0.0 available)
  path_provider 2.0.1 (2.0.8 available)
  path_provider_linux 2.0.0 (2.1.5 available)
  path_provider_macos 2.0.0 (2.0.5 available)
  path_provider_platform_interface 2.0.1 (2.0.3 available)
  path_provider_windows 2.0.0 (2.0.5 available)
  pedantic 1.11.0 (discontinued replaced by lints)
  petitparser 4.1.0 (4.4.0 available)
  platform 3.0.0 (3.1.0 available)
  plugin_platform_interface 2.0.0 (2.1.2 available)
  pointycastle 3.0.1 (3.5.0 available)
  process 4.2.1 (4.2.4 available)
  pub_semver 2.0.0 (2.1.0 available)
  pubspec_parse 1.0.0 (1.2.0 available)
  sembast 3.0.1 (3.1.1+1 available)
  shared_preferences 2.0.5 (2.0.12 available)
  shared_preferences_linux 2.0.0 (2.0.4 available)
  shared_preferences_macos 2.0.0 (2.0.2 available)
  shared_preferences_web 2.0.0 (2.0.3 available)
  shared_preferences_windows 2.0.0 (2.0.4 available)
  shelf 1.1.0 (1.2.0 available)
  shelf_static 1.0.0 (1.1.0 available)
  smooth_page_indicator 0.3.0-nullsafety.0 (1.0.0+2 available)
  source_gen 1.1.1 (1.2.1 available)
  source_helper 1.3.0 (1.3.1 available)
  sqflite 2.0.0+3 (2.0.1 available)
  sqflite_common 2.0.0+2 (2.2.0 available)
  sqflite_common_ffi 2.0.0 (2.1.0 available)
  sqlcipher_flutter_libs 0.5.0 (0.5.1 available)
  sqlcipher_library_windows 1.0.1 (1.0.2 available)
  sqlite3 1.0.0 (1.5.1 available)
  sqlparser 0.18.1 (0.19.1 available)
  test 1.17.10 (1.20.1 available)
  test_api 0.4.2 (0.4.9 available)
  test_core 0.4.0 (0.4.11 available)
  uni_links 0.5.0 (0.5.1 available)
  url_launcher 6.0.3 (6.0.18 available)
  url_launcher_linux 2.0.0 (2.0.2 available)
  url_launcher_macos 2.0.0 (2.0.2 available)
  url_launcher_platform_interface 2.0.2 (2.0.5 available)
  url_launcher_web 2.0.0 (2.0.6 available)
  url_launcher_windows 2.0.0 (2.0.2 available)
  uuid 3.0.4 (3.0.5 available)
< vector_math 2.1.0 (was 2.1.1) (2.1.1 available)
  vm_service 6.2.0 (8.1.0 available)
  watcher 1.0.0 (1.0.1 available)
  web_socket_channel 2.0.0 (2.1.0 available)
  win32 2.0.5 (2.3.3 available)
  xml 5.1.0 (5.3.1 available)
Warning: You are using these overridden dependencies:
! fab_circular_menu 1.0.2 from git https://github.com/ereio/fab-circular-menu.git at 623b65
! swipeable 2.0.0 from git https://github.com/ereio/swipeable.git at 867b11
! webview_flutter 2.0.13+1 from git https://github.com/ereio/plugins.git at 41e4ce in packages/webview_flutter/webview_flutter
Downloading flutter_launcher_icons 0.9.0...
Downloading json_serializable 6.1.3...
Downloading lint 1.5.3...
Downloading drift_dev 1.0.2...
Downloading build_runner 2.1.4...
Downloading build_config 1.0.0...
Downloading json_annotation 4.4.0...
Downloading flutter_image_compress 1.1.0...
Downloading local_image_provider 4.0.1...
Downloading image_picker 0.8.4+4...
Downloading file_picker 4.1.1...
Downloading flutter_screen_lock 4.0.4+3...
Downloading flutter_speed_dial 4.2.0...
Downloading emoji_picker_flutter 1.0.3...
Downloading palette_generator 0.3.0...
Downloading flutter_colorpicker 0.6.0...
Downloading flutter_local_notifications 9.1.4...
Downloading smooth_page_indicator 0.3.0-nullsafety.0...
Downloading touchable_opacity 1.2.0...
Downloading flutter_markdown 0.6.7...
Downloading flutter_keyboard_visibility 5.0.3...
Downloading flutter_svg 0.22.0...
Downloading url_launcher 6.0.3...
Downloading cupertino_icons 1.0.2...
Downloading uni_links 0.5.0...
Downloading android_alarm_manager_plus 2.0.3...
Downloading flutter_dotenv 4.0.0-nullsafety.0...
Downloading easy_localization 3.0.0...
Downloading connectivity_plus 2.0.2...
Downloading http 0.13.1...
Downloading drift 1.0.1...
Downloading flutter_secure_storage 4.1.0...
Downloading sqlcipher_library_windows 1.0.1...
Downloading sqlcipher_flutter_libs 0.5.0...
Downloading sqflite_common_ffi 2.0.0...
Downloading sembast_sqflite 2.0.0+1...
Downloading sqflite 2.0.0+3...
Downloading sembast 3.0.1...
Downloading canonical_json 1.1.0...
Downloading cryptography 2.0.5...
Downloading encrypt 5.0.0...
Downloading olm 2.0.0...
Downloading package_info 2.0.0...
Downloading path_provider 2.0.1...
Downloading flutter_redux 0.8.2...
Downloading redux_persist_flutter 0.9.0...
Downloading redux_persist 0.9.0...
Downloading redux_thunk 0.4.0...
Downloading redux 5.0.0...
Downloading device_info 2.0.0...
Downloading convert 3.0.0...
Downloading expandable 5.0.1...
Downloading equatable 2.0.0...
Downloading vector_math 2.1.0...
Downloading web_socket_channel 2.0.0...
Downloading shelf_static 1.0.0...
Downloading shelf 1.1.0...
Downloading pedantic 1.11.0...
Downloading node_preamble 2.0.0...
Downloading coverage 1.0.2...
Downloading async 2.8.2...
Downloading analyzer 2.4.0...
Downloading image 3.0.2...
Downloading args 2.0.0...
Downloading source_helper 1.3.0...
Downloading source_gen 1.1.1...
Downloading build 2.1.1...
Downloading dart_style 2.2.0...
Downloading build_resolvers 2.0.4...
Downloading analyzer_plugin 0.8.0...
Downloading sqlparser 0.18.1...
Downloading sqlite3 1.0.0...
Downloading cli_util 0.3.0...
Downloading stream_transform 2.0.0...
Downloading recase 4.0.0...
Downloading charcode 1.2.0...
Downloading timing 1.0.0...
Downloading graphs 2.0.0...
Downloading code_builder 4.0.0...
Downloading build_runner_core 7.2.2...
Downloading build_daemon 3.0.0...
Downloading local_image_provider_platform_interface 2.0.1...
Downloading image_picker_platform_interface 2.4.1...
Downloading image_picker_for_web 2.1.4...
Downloading flutter_plugin_android_lifecycle 2.0.3...
Downloading ffi 1.1.2...
Downloading plugin_platform_interface 2.0.0...
Downloading shared_preferences 2.0.5...
Downloading timezone 0.8.0...
Downloading flutter_local_notifications_platform_interface 5.0.0...
Downloading flutter_local_notifications_linux 0.3.0...
Downloading markdown 4.0.0...
Downloading flutter_keyboard_visibility_web 2.0.0...
Downloading flutter_keyboard_visibility_platform_interface 2.0.0...
Downloading xml 5.1.0...
Downloading path_drawing 0.5.0...
Downloading url_launcher_web 2.0.0...
Downloading url_launcher_windows 2.0.0...
Downloading url_launcher_macos 2.0.0...
Downloading url_launcher_linux 2.0.0...
Downloading url_launcher_platform_interface 2.0.2...
Downloading uni_links_web 0.1.0...
Downloading uni_links_platform_interface 1.0.0...
Downloading easy_logger 0.0.2...
Downloading connectivity_plus_windows 1.2.0...
Downloading connectivity_plus_web 1.1.0+1...
Downloading connectivity_plus_macos 1.2.1...
Downloading connectivity_plus_linux 1.1.0...
Downloading connectivity_plus_platform_interface 1.1.0...
Downloading synchronized 3.0.0...
Downloading sqflite_common 2.0.0+2...
Downloading unorm_dart 0.2.0...
Downloading pointycastle 3.0.1...
Downloading asn1lib 1.0.0...
Downloading path_provider_windows 2.0.0...
Downloading path_provider_linux 2.0.0...
Downloading path_provider_macos 2.0.0...
Downloading path_provider_platform_interface 2.0.1...
Downloading device_info_platform_interface 2.0.1...
Downloading characters 1.1.0...
Downloading vm_service 6.2.0...
Downloading _fe_analyzer_shared 27.0.0...
Downloading file 6.1.0...
Downloading built_value 8.0.4...
Downloading built_collection 5.0.0...
Downloading cross_file 0.3.2...
Downloading shared_preferences_windows 2.0.0...
Downloading shared_preferences_web 2.0.0...
Downloading shared_preferences_macos 2.0.0...
Downloading shared_preferences_linux 2.0.0...
Downloading shared_preferences_platform_interface 2.0.0...
Downloading xdg_directories 0.2.0...
Downloading dbus 0.5.6...
Downloading petitparser 4.1.0...
Downloading path_parsing 0.2.0...
Downloading nm 0.3.0...
Downloading win32 2.0.5...
Downloading process 4.2.1...
Changed 2 dependencies!
+ /home/vagrant/build/srclib/flutter/bin/flutter pub run build_runner build
[INFO] Generating build script...
[INFO] Generating build script completed, took 531ms

[INFO] Precompiling build script......
[INFO] Precompiling build script... completed, took 9.0s

[INFO] Initializing inputs
[INFO] Building new asset graph...
[INFO] Building new asset graph completed, took 2.4s

[INFO] Checking for unexpected pre-existing outputs....
[INFO] Checking for unexpected pre-existing outputs. completed, took 2ms

[INFO] Running build...
[INFO] Generating SDK summary...
[INFO] 4.1s elapsed, 0/16 actions completed.
[INFO] Generating SDK summary completed, took 4.0s

[INFO] 5.1s elapsed, 0/16 actions completed.
[INFO] 6.2s elapsed, 0/16 actions completed.
[INFO] 7.2s elapsed, 1/17 actions completed.
[INFO] 8.2s elapsed, 1/17 actions completed.
[INFO] 9.3s elapsed, 1/17 actions completed.
[INFO] 11.2s elapsed, 1/17 actions completed.
[INFO] 12.2s elapsed, 1/17 actions completed.
[INFO] 13.3s elapsed, 2/18 actions completed.
[INFO] 14.6s elapsed, 2/18 actions completed.
[INFO] 15.6s elapsed, 2/18 actions completed.
[INFO] 16.7s elapsed, 2/18 actions completed.
[INFO] 17.8s elapsed, 2/18 actions completed.
[INFO] 31.2s elapsed, 3/19 actions completed.
[INFO] 32.3s elapsed, 19/35 actions completed.
[INFO] 33.4s elapsed, 49/65 actions completed.
[INFO] 34.5s elapsed, 79/95 actions completed.
[INFO] 35.5s elapsed, 83/99 actions completed.
[INFO] 36.5s elapsed, 99/115 actions completed.
[INFO] 37.9s elapsed, 108/124 actions completed.
[INFO] 38.9s elapsed, 114/130 actions completed.
[INFO] 40.2s elapsed, 115/131 actions completed.
[INFO] 41.2s elapsed, 131/147 actions completed.
[INFO] 42.3s elapsed, 147/163 actions completed.
[INFO] 43.4s elapsed, 170/184 actions completed.
[INFO] 44.4s elapsed, 193/209 actions completed.
[INFO] 45.5s elapsed, 220/236 actions completed.
[INFO] 46.6s elapsed, 243/259 actions completed.
[INFO] 48.0s elapsed, 274/290 actions completed.
[WARNING] json_serializable:json_serializable on lib/context/types.dart:
The version constraint "^4.0.0" on json_annotation allows versions before 4.4.0 which is not allowed.
[INFO] 49.3s elapsed, 317/332 actions completed.
[INFO] 50.4s elapsed, 352/366 actions completed.
[INFO] json_serializable:json_serializable on lib/store/events/model.dart:The default value `0` for `timestamp` is defined twice in the constructor and in the `JsonKey.defaultValue`.
[INFO] json_serializable:json_serializable on lib/store/events/messages/model.dart:The default value `0` for `timestamp` is defined twice in the constructor and in the `JsonKey.defaultValue`.
[INFO] json_serializable:json_serializable on lib/store/events/messages/model.dart:The default value `false` for `pending` is defined twice in the constructor and in the `JsonKey.defaultValue`.
[INFO] json_serializable:json_serializable on lib/store/events/messages/model.dart:The default value `false` for `syncing` is defined twice in the constructor and in the `JsonKey.defaultValue`.
[INFO] json_serializable:json_serializable on lib/store/events/messages/model.dart:The default value `false` for `failed` is defined twice in the constructor and in the `JsonKey.defaultValue`.
[INFO] json_serializable:json_serializable on lib/store/events/messages/model.dart:The default value `false` for `edited` is defined twice in the constructor and in the `JsonKey.defaultValue`.
[INFO] json_serializable:json_serializable on lib/store/events/messages/model.dart:The default value `false` for `replacement` is defined twice in the constructor and in the `JsonKey.defaultValue`.
[INFO] json_serializable:json_serializable on lib/store/events/messages/model.dart:The default value `0` for `received` is defined twice in the constructor and in the `JsonKey.defaultValue`.
[INFO] 52.0s elapsed, 396/411 actions completed.
[INFO] 53.0s elapsed, 420/436 actions completed.
[INFO] 54.0s elapsed, 453/469 actions completed.
[INFO] 55.1s elapsed, 490/506 actions completed.
[INFO] 56.1s elapsed, 530/546 actions completed.
[INFO] 57.2s elapsed, 647/662 actions completed.
[INFO] Running build completed, took 57.9s

[INFO] Caching finalized dependency graph...
[INFO] Caching finalized dependency graph completed, took 472ms

[INFO] Succeeded after 58.4s with 60 outputs (852 actions)

+ /home/vagrant/build/srclib/flutter/bin/flutter build apk
Downloading android-arm-profile/linux-x64 tools...                 527ms
Downloading android-arm-release/linux-x64 tools...                 282ms
Downloading android-arm64-profile/linux-x64 tools...               277ms
Downloading android-arm64-release/linux-x64 tools...               238ms
Downloading android-x64-profile/linux-x64 tools...                 278ms
Downloading android-x64-release/linux-x64 tools...                 232ms
Running "flutter pub get" in org.tether.tether...               
Warning: You are using these overridden dependencies:
! fab_circular_menu 1.0.2 from git https://github.com/ereio/fab-circular-menu.git at 623b65
! swipeable 2.0.0 from git https://github.com/ereio/swipeable.git at 867b11
! webview_flutter 2.0.13+1 from git https://github.com/ereio/plugins.git at 41e4ce in packages/webview_flutter/webview_flutter
Running "flutter pub get" in org.tether.tether...                1,770ms

💪 Building with sound null safety 💪

Running Gradle task 'assembleRelease'...                        
Checking the license for package Android SDK Platform 31 in /opt/android-sdk/licenses
License for package Android SDK Platform 31 accepted.
Preparing "Install Android SDK Platform 31 (revision: 1)".
"Install Android SDK Platform 31 (revision: 1)" ready.
Installing Android SDK Platform 31 in /opt/android-sdk/platforms/android-31
"Install Android SDK Platform 31 (revision: 1)" complete.
"Install Android SDK Platform 31 (revision: 1)" finished.

FAILURE: Build failed with an exception.

* What went wrong:
Could not determine the dependencies of task ':android_alarm_manager_plus:verifyReleaseResources'.
> Could not resolve all task dependencies for configuration ':android_alarm_manager_plus:releaseRuntimeClasspath'.
   > Could not resolve io.flutter:flutter_embedding_release:1.0.0-d3ea636dc5d16b56819f3266241e1f708979c233.
     Required by:
         project :android_alarm_manager_plus
      > Could not resolve io.flutter:flutter_embedding_release:1.0.0-d3ea636dc5d16b56819f3266241e1f708979c233.
         > Could not get resource 'https://jcenter.bintray.com/io/flutter/flutter_embedding_release/1.0.0-d3ea636dc5d16b56819f3266241e1f708979c233/flutter_embedding_release-1.0.0-d3ea636dc5d16b56819f3266241e1f708979c233.pom'.
            > Could not GET 'https://jcenter.bintray.com/io/flutter/flutter_embedding_release/1.0.0-d3ea636dc5d16b56819f3266241e1f708979c233/flutter_embedding_release-1.0.0-d3ea636dc5d16b56819f3266241e1f708979c233.pom'. Received status code 502 from server: Bad Gateway

* Try:
Run with --stacktrace option to get the stack trace. Run with --info or --debug option to get more log output. Run with --scan to get full insights.

* Get more help at https://help.gradle.org

BUILD FAILED in 1m 18s
Running Gradle task 'assembleRelease'...                           78.7s
[!] Gradle threw an error while downloading artifacts from the network. Retrying to download...
Running Gradle task 'assembleRelease'...                        

FAILURE: Build failed with an exception.

* What went wrong:
Could not determine the dependencies of task ':android_alarm_manager_plus:verifyReleaseResources'.
> Could not resolve all task dependencies for configuration ':android_alarm_manager_plus:releaseRuntimeClasspath'.
   > Could not resolve io.flutter:flutter_embedding_release:1.0.0-d3ea636dc5d16b56819f3266241e1f708979c233.
     Required by:
         project :android_alarm_manager_plus
      > Could not resolve io.flutter:flutter_embedding_release:1.0.0-d3ea636dc5d16b56819f3266241e1f708979c233.
         > Could not get resource 'https://jcenter.bintray.com/io/flutter/flutter_embedding_release/1.0.0-d3ea636dc5d16b56819f3266241e1f708979c233/flutter_embedding_release-1.0.0-d3ea636dc5d16b56819f3266241e1f708979c233.pom'.
            > Could not GET 'https://jcenter.bintray.com/io/flutter/flutter_embedding_release/1.0.0-d3ea636dc5d16b56819f3266241e1f708979c233/flutter_embedding_release-1.0.0-d3ea636dc5d16b56819f3266241e1f708979c233.pom'. Received status code 502 from server: Bad Gateway

* Try:
Run with --stacktrace option to get the stack trace. Run with --info or --debug option to get more log output. Run with --scan to get full insights.

* Get more help at https://help.gradle.org

BUILD FAILED in 1m 3s
Running Gradle task 'assembleRelease'...                           64.2s
[!] Gradle threw an error while downloading artifacts from the network. Retrying to download...
Gradle task assembleRelease failed with exit code 1
2022-01-12 21:40:44,771 ERROR: Could not build app org.tether.tether: Error running build command for org.tether.tether:0.2.7
==== detail begin ====
+ /home/vagrant/build/srclib/flutter/bin/flutter config --no-analytics
Downloading Dart SDK from Flutter engine d3ea636dc5d16b56819f3266241e1f708979c233...
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed

  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
  0  221M    0 15139    0     0  29621      0  2:10:38 --:--:--  2:10:38 29626
 29  221M   29 65.2M    0     0  48.1M      0  0:00:04  0:00:01  0:00:03 48.1M
 79  221M   79  176M    0     0  74.6M      0  0:00:02  0:00:02 --:--:-- 74.6M
100  221M  100  221M    0     0  79.9M      0  0:00:02  0:00:02 --:--:-- 79.9M
Building flutter tool...

  ╔════════════════════════════════════════════════════════════════════════════╗
  ║                 Welcome to Flutter! - https://flutter.dev                  ║
  ║                                                                            ║
  ║ The Flutter tool uses Google Analytics to anonymously report feature usage ║
  ║ statistics and basic crash reports. This data is used to help improve      ║
  ║ Flutter tools over time.                                                   ║
  ║                                                                            ║
  ║ Flutter tool analytics are not sent on the very first run. To disable      ║
  ║ reporting, type 'flutter config --no-analytics'. To display the current    ║
  ║ setting, type 'flutter config'. If you opt out of analytics, an opt-out    ║
  ║ event will be sent, and then no further information will be sent by the    ║
  ║ Flutter tool.                                                              ║
  ║                                                                            ║
  ║ By downloading the Flutter SDK, you agree to the Google Terms of Service.  ║
  ║ Note: The Google Privacy Policy describes how data is handled in this      ║
  ║ service.                                                                   ║
  ║                                                                            ║
  ║ Moreover, Flutter includes the Dart SDK, which may send usage metrics and  ║
  ║ crash reports to Google.                                                   ║
  ║                                                                            ║
  ║ Read about data we send with crash reports:                                ║
  ║ https://flutter.dev/docs/reference/crash-reporting                         ║
  ║                                                                            ║
  ║ See Google's privacy policy:                                               ║
  ║ https://policies.google.com/privacy                                        ║
  ╚════════════════════════════════════════════════════════════════════════════╝

Analytics reporting disabled.

You may need to restart any open editors for them to read new settings.
+ /home/vagrant/build/srclib/flutter/bin/flutter packages pub get
Downloading Material fonts...                                      411ms
Downloading Gradle Wrapper...                                       18ms
Downloading package sky_engine...                                  258ms
Downloading flutter_patched_sdk tools...                           400ms
Downloading flutter_patched_sdk_product tools...                   331ms
Downloading linux-x64 tools...                                   1,376ms
Downloading linux-x64/font-subset tools...                         168ms
Resolving dependencies...
  _fe_analyzer_shared 27.0.0 (33.0.0 available)
  analyzer 2.4.0 (3.1.0 available)
  analyzer_plugin 0.8.0 (0.9.0 available)
  archive 3.1.2 (3.1.8 available)
  args 2.0.0 (2.3.0 available)
  asn1lib 1.0.0 (1.0.3 available)
  build 2.1.1 (2.2.1 available)
  build_daemon 3.0.0 (3.0.1 available)
  build_resolvers 2.0.4 (2.0.6 available)
  build_runner 2.1.4 (2.1.7 available)
  build_runner_core 7.2.2 (7.2.3 available)
  built_collection 5.0.0 (5.1.1 available)
  built_value 8.0.4 (8.1.3 available)
< characters 1.1.0 (was 1.2.0) (1.2.0 available)
  charcode 1.2.0 (1.3.1 available)
  cli_util 0.3.0 (0.3.5 available)
  code_builder 4.0.0 (4.1.0 available)
  connectivity_plus 2.0.2 (2.2.0 available)
  connectivity_plus_linux 1.1.0 (1.2.0 available)
  connectivity_plus_platform_interface 1.1.0 (1.2.0 available)
  connectivity_plus_web 1.1.0+1 (1.2.0 available)
  convert 3.0.0 (3.0.1 available)
  coverage 1.0.2 (1.0.4 available)
  csslib 0.17.0 (0.17.1 available)
  cupertino_icons 1.0.2 (1.0.4 available)
  dart_style 2.2.0 (2.2.1 available)
  dbus 0.5.6 (0.6.6 available)
  device_info 2.0.0 (2.0.3 available)
  drift 1.0.1 (1.2.0 available)
  drift_dev 1.0.2 (1.2.1 available)
  emoji_picker_flutter 1.0.3 (1.0.8 available)
  encrypt 5.0.0 (5.0.1 available)
  equatable 2.0.0 (2.0.3 available)
  file 6.1.0 (6.1.2 available)
  file_picker 4.1.1 (4.3.1 available)
  flutter_colorpicker 0.6.0 (1.0.3 available)
  flutter_dotenv 4.0.0-nullsafety.0 (5.0.2 available)
  flutter_keyboard_visibility 5.0.3 (5.1.0 available)
  flutter_launcher_icons 0.9.0 (0.9.2 available)
  flutter_local_notifications 9.1.4 (9.2.0 available)
  flutter_local_notifications_linux 0.3.0 (0.4.1+1 available)
  flutter_markdown 0.6.7 (0.6.9 available)
  flutter_plugin_android_lifecycle 2.0.3 (2.0.5 available)
  flutter_screen_lock 4.0.4+3 (5.0.3 available)
  flutter_secure_storage 4.1.0 (5.0.2 available)
  flutter_speed_dial 4.2.0 (5.0.0+1 available)
  flutter_svg 0.22.0 (1.0.1 available)
  frontend_server_client 2.1.0 (2.1.2 available)
  glob 2.0.1 (2.0.2 available)
  graphs 2.0.0 (2.1.0 available)
  http 0.13.1 (0.13.4 available)
  image 3.0.2 (3.1.0 available)
  image_picker_for_web 2.1.4 (2.1.5 available)
  image_picker_platform_interface 2.4.1 (2.4.3 available)
  js 0.6.3 (0.6.4 available)
  lint 1.5.3 (1.8.1 available)
  logging 1.0.1 (1.0.2 available)
  markdown 4.0.0 (4.0.1 available)
  matcher 0.12.10 (0.12.11 available)
  mime 1.0.0 (1.0.1 available)
  nm 0.3.0 (0.4.2 available)
  node_preamble 2.0.0 (2.0.1 available)
  package_config 2.0.0 (2.0.2 available)
  package_info 2.0.0 (2.0.2 available)
  palette_generator 0.3.0 (0.3.2 available)
  path 1.8.0 (1.8.1 available)
  path_drawing 0.5.0 (1.0.0 available)
  path_parsing 0.2.0 (1.0.0 available)
  path_provider 2.0.1 (2.0.8 available)
  path_provider_linux 2.0.0 (2.1.5 available)
  path_provider_macos 2.0.0 (2.0.5 available)
  path_provider_platform_interface 2.0.1 (2.0.3 available)
  path_provider_windows 2.0.0 (2.0.5 available)
  pedantic 1.11.0 (discontinued replaced by lints)
  petitparser 4.1.0 (4.4.0 available)
  platform 3.0.0 (3.1.0 available)
  plugin_platform_interface 2.0.0 (2.1.2 available)
  pointycastle 3.0.1 (3.5.0 available)
  process 4.2.1 (4.2.4 available)
  pub_semver 2.0.0 (2.1.0 available)
  pubspec_parse 1.0.0 (1.2.0 available)
  sembast 3.0.1 (3.1.1+1 available)
  shared_preferences 2.0.5 (2.0.12 available)
  shared_preferences_linux 2.0.0 (2.0.4 available)
  shared_preferences_macos 2.0.0 (2.0.2 available)
  shared_preferences_web 2.0.0 (2.0.3 available)
  shared_preferences_windows 2.0.0 (2.0.4 available)
  shelf 1.1.0 (1.2.0 available)
  shelf_static 1.0.0 (1.1.0 available)
  smooth_page_indicator 0.3.0-nullsafety.0 (1.0.0+2 available)
  source_gen 1.1.1 (1.2.1 available)
  source_helper 1.3.0 (1.3.1 available)
  sqflite 2.0.0+3 (2.0.1 available)
  sqflite_common 2.0.0+2 (2.2.0 available)
  sqflite_common_ffi 2.0.0 (2.1.0 available)
  sqlcipher_flutter_libs 0.5.0 (0.5.1 available)
  sqlcipher_library_windows 1.0.1 (1.0.2 available)
  sqlite3 1.0.0 (1.5.1 available)
  sqlparser 0.18.1 (0.19.1 available)
  test 1.17.10 (1.20.1 available)
  test_api 0.4.2 (0.4.9 available)
  test_core 0.4.0 (0.4.11 available)
  uni_links 0.5.0 (0.5.1 available)
  url_launcher 6.0.3 (6.0.18 available)
  url_launcher_linux 2.0.0 (2.0.2 available)
  url_launcher_macos 2.0.0 (2.0.2 available)
  url_launcher_platform_interface 2.0.2 (2.0.5 available)
  url_launcher_web 2.0.0 (2.0.6 available)
  url_launcher_windows 2.0.0 (2.0.2 available)
  uuid 3.0.4 (3.0.5 available)
< vector_math 2.1.0 (was 2.1.1) (2.1.1 available)
  vm_service 6.2.0 (8.1.0 available)
  watcher 1.0.0 (1.0.1 available)
  web_socket_channel 2.0.0 (2.1.0 available)
  win32 2.0.5 (2.3.3 available)
  xml 5.1.0 (5.3.1 available)
Warning: You are using these overridden dependencies:
! fab_circular_menu 1.0.2 from git https://github.com/ereio/fab-circular-menu.git at 623b65
! swipeable 2.0.0 from git https://github.com/ereio/swipeable.git at 867b11
! webview_flutter 2.0.13+1 from git https://github.com/ereio/plugins.git at 41e4ce in packages/webview_flutter/webview_flutter
Downloading flutter_launcher_icons 0.9.0...
Downloading json_serializable 6.1.3...
Downloading lint 1.5.3...
Downloading drift_dev 1.0.2...
Downloading build_runner 2.1.4...
Downloading build_config 1.0.0...
Downloading json_annotation 4.4.0...
Downloading flutter_image_compress 1.1.0...
Downloading local_image_provider 4.0.1...
Downloading image_picker 0.8.4+4...
Downloading file_picker 4.1.1...
Downloading flutter_screen_lock 4.0.4+3...
Downloading flutter_speed_dial 4.2.0...
Downloading emoji_picker_flutter 1.0.3...
Downloading palette_generator 0.3.0...
Downloading flutter_colorpicker 0.6.0...
Downloading flutter_local_notifications 9.1.4...
Downloading smooth_page_indicator 0.3.0-nullsafety.0...
Downloading touchable_opacity 1.2.0...
Downloading flutter_markdown 0.6.7...
Downloading flutter_keyboard_visibility 5.0.3...
Downloading flutter_svg 0.22.0...
Downloading url_launcher 6.0.3...
Downloading cupertino_icons 1.0.2...
Downloading uni_links 0.5.0...
Downloading android_alarm_manager_plus 2.0.3...
Downloading flutter_dotenv 4.0.0-nullsafety.0...
Downloading easy_localization 3.0.0...
Downloading connectivity_plus 2.0.2...
Downloading http 0.13.1...
Downloading drift 1.0.1...
Downloading flutter_secure_storage 4.1.0...
Downloading sqlcipher_library_windows 1.0.1...
Downloading sqlcipher_flutter_libs 0.5.0...
Downloading sqflite_common_ffi 2.0.0...
Downloading sembast_sqflite 2.0.0+1...
Downloading sqflite 2.0.0+3...
Downloading sembast 3.0.1...
Downloading canonical_json 1.1.0...
Downloading cryptography 2.0.5...
Downloading encrypt 5.0.0...
Downloading olm 2.0.0...
Downloading package_info 2.0.0...
Downloading path_provider 2.0.1...
Downloading flutter_redux 0.8.2...
Downloading redux_persist_flutter 0.9.0...
Downloading redux_persist 0.9.0...
Downloading redux_thunk 0.4.0...
Downloading redux 5.0.0...
Downloading device_info 2.0.0...
Downloading convert 3.0.0...
Downloading expandable 5.0.1...
Downloading equatable 2.0.0...
Downloading vector_math 2.1.0...
Downloading web_socket_channel 2.0.0...
Downloading shelf_static 1.0.0...
Downloading shelf 1.1.0...
Downloading pedantic 1.11.0...
Downloading node_preamble 2.0.0...
Downloading coverage 1.0.2...
Downloading async 2.8.2...
Downloading analyzer 2.4.0...
Downloading image 3.0.2...
Downloading args 2.0.0...
Downloading source_helper 1.3.0...
Downloading source_gen 1.1.1...
Downloading build 2.1.1...
Downloading dart_style 2.2.0...
Downloading build_resolvers 2.0.4...
Downloading analyzer_plugin 0.8.0...
Downloading sqlparser 0.18.1...
Downloading sqlite3 1.0.0...
Downloading cli_util 0.3.0...
Downloading stream_transform 2.0.0...
Downloading recase 4.0.0...
Downloading charcode 1.2.0...
Downloading timing 1.0.0...
Downloading graphs 2.0.0...
Downloading code_builder 4.0.0...
Downloading build_runner_core 7.2.2...
Downloading build_daemon 3.0.0...
Downloading local_image_provider_platform_interface 2.0.1...
Downloading image_picker_platform_interface 2.4.1...
Downloading image_picker_for_web 2.1.4...
Downloading flutter_plugin_android_lifecycle 2.0.3...
Downloading ffi 1.1.2...
Downloading plugin_platform_interface 2.0.0...
Downloading shared_preferences 2.0.5...
Downloading timezone 0.8.0...
Downloading flutter_local_notifications_platform_interface 5.0.0...
Downloading flutter_local_notifications_linux 0.3.0...
Downloading markdown 4.0.0...
Downloading flutter_keyboard_visibility_web 2.0.0...
Downloading flutter_keyboard_visibility_platform_interface 2.0.0...
Downloading xml 5.1.0...
Downloading path_drawing 0.5.0...
Downloading url_launcher_web 2.0.0...
Downloading url_launcher_windows 2.0.0...
Downloading url_launcher_macos 2.0.0...
Downloading url_launcher_linux 2.0.0...
Downloading url_launcher_platform_interface 2.0.2...
Downloading uni_links_web 0.1.0...
Downloading uni_links_platform_interface 1.0.0...
Downloading easy_logger 0.0.2...
Downloading connectivity_plus_windows 1.2.0...
Downloading connectivity_plus_web 1.1.0+1...
Downloading connectivity_plus_macos 1.2.1...
Downloading connectivity_plus_linux 1.1.0...
Downloading connectivity_plus_platform_interface 1.1.0...
Downloading synchronized 3.0.0...
Downloading sqflite_common 2.0.0+2...
Downloading unorm_dart 0.2.0...
Downloading pointycastle 3.0.1...
Downloading asn1lib 1.0.0...
Downloading path_provider_windows 2.0.0...
Downloading path_provider_linux 2.0.0...
Downloading path_provider_macos 2.0.0...
Downloading path_provider_platform_interface 2.0.1...
Downloading device_info_platform_interface 2.0.1...
Downloading characters 1.1.0...
Downloading vm_service 6.2.0...
Downloading _fe_analyzer_shared 27.0.0...
Downloading file 6.1.0...
Downloading built_value 8.0.4...
Downloading built_collection 5.0.0...
Downloading cross_file 0.3.2...
Downloading shared_preferences_windows 2.0.0...
Downloading shared_preferences_web 2.0.0...
Downloading shared_preferences_macos 2.0.0...
Downloading shared_preferences_linux 2.0.0...
Downloading shared_preferences_platform_interface 2.0.0...
Downloading xdg_directories 0.2.0...
Downloading dbus 0.5.6...
Downloading petitparser 4.1.0...
Downloading path_parsing 0.2.0...
Downloading nm 0.3.0...
Downloading win32 2.0.5...
Downloading process 4.2.1...
Changed 2 dependencies!
+ /home/vagrant/build/srclib/flutter/bin/flutter pub run build_runner build
[INFO] Generating build script...
[INFO] Generating build script completed, took 531ms

[INFO] Precompiling build script......
[INFO] Precompiling build script... completed, took 9.0s

[INFO] Initializing inputs
[INFO] Building new asset graph...
[INFO] Building new asset graph completed, took 2.4s

[INFO] Checking for unexpected pre-existing outputs....
[INFO] Checking for unexpected pre-existing outputs. completed, took 2ms

[INFO] Running build...
[INFO] Generating SDK summary...
[INFO] 4.1s elapsed, 0/16 actions completed.
[INFO] Generating SDK summary completed, took 4.0s

[INFO] 5.1s elapsed, 0/16 actions completed.
[INFO] 6.2s elapsed, 0/16 actions completed.
[INFO] 7.2s elapsed, 1/17 actions completed.
[INFO] 8.2s elapsed, 1/17 actions completed.
[INFO] 9.3s elapsed, 1/17 actions completed.
[INFO] 11.2s elapsed, 1/17 actions completed.
[INFO] 12.2s elapsed, 1/17 actions completed.
[INFO] 13.3s elapsed, 2/18 actions completed.
[INFO] 14.6s elapsed, 2/18 actions completed.
[INFO] 15.6s elapsed, 2/18 actions completed.
[INFO] 16.7s elapsed, 2/18 actions completed.
[INFO] 17.8s elapsed, 2/18 actions completed.
[INFO] 31.2s elapsed, 3/19 actions completed.
[INFO] 32.3s elapsed, 19/35 actions completed.
[INFO] 33.4s elapsed, 49/65 actions completed.
[INFO] 34.5s elapsed, 79/95 actions completed.
[INFO] 35.5s elapsed, 83/99 actions completed.
[INFO] 36.5s elapsed, 99/115 actions completed.
[INFO] 37.9s elapsed, 108/124 actions completed.
[INFO] 38.9s elapsed, 114/130 actions completed.
[INFO] 40.2s elapsed, 115/131 actions completed.
[INFO] 41.2s elapsed, 131/147 actions completed.
[INFO] 42.3s elapsed, 147/163 actions completed.
[INFO] 43.4s elapsed, 170/184 actions completed.
[INFO] 44.4s elapsed, 193/209 actions completed.
[INFO] 45.5s elapsed, 220/236 actions completed.
[INFO] 46.6s elapsed, 243/259 actions completed.
[INFO] 48.0s elapsed, 274/290 actions completed.
[WARNING] json_serializable:json_serializable on lib/context/types.dart:
The version constraint "^4.0.0" on json_annotation allows versions before 4.4.0 which is not allowed.
[INFO] 49.3s elapsed, 317/332 actions completed.
[INFO] 50.4s elapsed, 352/366 actions completed.
[INFO] json_serializable:json_serializable on lib/store/events/model.dart:The default value `0` for `timestamp` is defined twice in the constructor and in the `JsonKey.defaultValue`.
[INFO] json_serializable:json_serializable on lib/store/events/messages/model.dart:The default value `0` for `timestamp` is defined twice in the constructor and in the `JsonKey.defaultValue`.
[INFO] json_serializable:json_serializable on lib/store/events/messages/model.dart:The default value `false` for `pending` is defined twice in the constructor and in the `JsonKey.defaultValue`.
[INFO] json_serializable:json_serializable on lib/store/events/messages/model.dart:The default value `false` for `syncing` is defined twice in the constructor and in the `JsonKey.defaultValue`.
[INFO] json_serializable:json_serializable on lib/store/events/messages/model.dart:The default value `false` for `failed` is defined twice in the constructor and in the `JsonKey.defaultValue`.
[INFO] json_serializable:json_serializable on lib/store/events/messages/model.dart:The default value `false` for `edited` is defined twice in the constructor and in the `JsonKey.defaultValue`.
[INFO] json_serializable:json_serializable on lib/store/events/messages/model.dart:The default value `false` for `replacement` is defined twice in the constructor and in the `JsonKey.defaultValue`.
[INFO] json_serializable:json_serializable on lib/store/events/messages/model.dart:The default value `0` for `received` is defined twice in the constructor and in the `JsonKey.defaultValue`.
[INFO] 52.0s elapsed, 396/411 actions completed.
[INFO] 53.0s elapsed, 420/436 actions completed.
[INFO] 54.0s elapsed, 453/469 actions completed.
[INFO] 55.1s elapsed, 490/506 actions completed.
[INFO] 56.1s elapsed, 530/546 actions completed.
[INFO] 57.2s elapsed, 647/662 actions completed.
[INFO] Running build completed, took 57.9s

[INFO] Caching finalized dependency graph...
[INFO] Caching finalized dependency graph completed, took 472ms

[INFO] Succeeded after 58.4s with 60 outputs (852 actions)

+ /home/vagrant/build/srclib/flutter/bin/flutter build apk
Downloading android-arm-profile/linux-x64 tools...                 527ms
Downloading android-arm-release/linux-x64 tools...                 282ms
Downloading android-arm64-profile/linux-x64 tools...               277ms
Downloading android-arm64-release/linux-x64 tools...               238ms
Downloading android-x64-profile/linux-x64 tools...                 278ms
Downloading android-x64-release/linux-x64 tools...                 232ms
Running "flutter pub get" in org.tether.tether...               
Warning: You are using these overridden dependencies:
! fab_circular_menu 1.0.2 from git https://github.com/ereio/fab-circular-menu.git at 623b65
! swipeable 2.0.0 from git https://github.com/ereio/swipeable.git at 867b11
! webview_flutter 2.0.13+1 from git https://github.com/ereio/plugins.git at 41e4ce in packages/webview_flutter/webview_flutter
Running "flutter pub get" in org.tether.tether...                1,770ms

💪 Building with sound null safety 💪

Running Gradle task 'assembleRelease'...                        
Checking the license for package Android SDK Platform 31 in /opt/android-sdk/licenses
License for package Android SDK Platform 31 accepted.
Preparing "Install Android SDK Platform 31 (revision: 1)".
"Install Android SDK Platform 31 (revision: 1)" ready.
Installing Android SDK Platform 31 in /opt/android-sdk/platforms/android-31
"Install Android SDK Platform 31 (revision: 1)" complete.
"Install Android SDK Platform 31 (revision: 1)" finished.

FAILURE: Build failed with an exception.

* What went wrong:
Could not determine the dependencies of task ':android_alarm_manager_plus:verifyReleaseResources'.
> Could not resolve all task dependencies for configuration ':android_alarm_manager_plus:releaseRuntimeClasspath'.
   > Could not resolve io.flutter:flutter_embedding_release:1.0.0-d3ea636dc5d16b56819f3266241e1f708979c233.
     Required by:
         project :android_alarm_manager_plus
      > Could not resolve io.flutter:flutter_embedding_release:1.0.0-d3ea636dc5d16b56819f3266241e1f708979c233.
         > Could not get resource 'https://jcenter.bintray.com/io/flutter/flutter_embedding_release/1.0.0-d3ea636dc5d16b56819f3266241e1f708979c233/flutter_embedding_release-1.0.0-d3ea636dc5d16b56819f3266241e1f708979c233.pom'.
            > Could not GET 'https://jcenter.bintray.com/io/flutter/flutter_embedding_release/1.0.0-d3ea636dc5d16b56819f3266241e1f708979c233/flutter_embedding_release-1.0.0-d3ea636dc5d16b56819f3266241e1f708979c233.pom'. Received status code 502 from server: Bad Gateway

* Try:
Run with --stacktrace option to get the stack trace. Run with --info or --debug option to get more log output. Run with --scan to get full insights.

* Get more help at https://help.gradle.org

BUILD FAILED in 1m 18s
Running Gradle task 'assembleRelease'...                           78.7s
[!] Gradle threw an error while downloading artifacts from the network. Retrying to download...
Running Gradle task 'assembleRelease'...                        

FAILURE: Build failed with an exception.

* What went wrong:
Could not determine the dependencies of task ':android_alarm_manager_plus:verifyReleaseResources'.
> Could not resolve all task dependencies for configuration ':android_alarm_manager_plus:releaseRuntimeClasspath'.
   > Could not resolve io.flutter:flutter_embedding_release:1.0.0-d3ea636dc5d16b56819f3266241e1f708979c233.
     Required by:
         project :android_alarm_manager_plus
      > Could not resolve io.flutter:flutter_embedding_release:1.0.0-d3ea636dc5d16b56819f3266241e1f708979c233.
         > Could not get resource 'https://jcenter.bintray.com/io/flutter/flutter_embedding_release/1.0.0-d3ea636dc5d16b56819f3266241e1f708979c233/flutter_embedding_release-1.0.0-d3ea636dc5d16b56819f3266241e1f708979c233.pom'.
            > Could not GET 'https://jcenter.bintray.com/io/flutter/flutter_embedding_release/1.0.0-d3ea636dc5d16b56819f3266241e1f708979c233/flutter_embedding_release-1.0.0-d3ea636dc5d16b56819f3266241e1f708979c233.pom'. Received status code 502 from server: Bad Gateway

* Try:
Run with --stacktrace option to get the stack trace. Run with --info or --debug option to get more log output. Run with --scan to get full insights.

* Get more help at https://help.gradle.org

BUILD FAILED in 1m 3s
Running Gradle task 'assembleRelease'...                           64.2s
[!] Gradle threw an error while downloading artifacts from the network. Retrying to download...
Gradle task assembleRelease failed with exit code 1
==== detail end ====
2022-01-12 21:40:44,772 DEBUG: Error encoutered, stopping by user request.
==== detail end ====